<template>
  <q-layout view="lHh Lpr lFf" style="font-family:verdana">
    <q-header elevated>
      <q-toolbar style="background-color:black">
        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="toggleLeftDrawer"
        />

        <q-toolbar-title>
          Quasar App
        </q-toolbar-title>

        <div>Quasar v{{ $q.version }}</div>
      </q-toolbar>
    </q-header>

    <q-drawer
      v-model="leftDrawerOpen"
      show-if-above
      bordered
    >
      <q-list>
        <q-item-label
          header
        >
    LINKS
        </q-item-label>

        <EssentialLink
          v-for="route_name in essentialLinks"
          :key="route_name.title"
          v-bind="route_name"
         
        />
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import { defineComponent, ref } from 'vue'
import EssentialLink from 'components/EssentialLink.vue'

const linksList = [
  {
    title: "List of User",
    icon: "format_list_bulleted",
    route_name: "list-user",
  },
  {
    title: "Add User",
    icon: "person_add",
    route_name: "add-user",
  },
 
    
]

export default defineComponent({
  name: 'MainLayout',

  components: {
    EssentialLink
  },
   





  setup () {
    const leftDrawerOpen = ref(false)

    return {
      essentialLinks: linksList,
      leftDrawerOpen,
      toggleLeftDrawer () {
        leftDrawerOpen.value = !leftDrawerOpen.value
      }
    }
  }
})
</script>
